import React, {useState, useEffect} from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = "https://gist.githubusercontent.com/srivalliwuyyuru/a53743911be69a4725e37dd3c0eae554/raw/e349f4c6d7a50800900b04df53b40d211c0cf455/MexicoRegion.json";

export const getMexico = () => {

  const [data, setData] = useState(null);
  
  console.log("data :",data);
	
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      const { map12REGION } = topojsonData.objects;
        console.log("topojsonData :",topojsonData);

    	setData(feature(topojsonData, map12REGION));
    })
  }, []);
  
  return data
}

